GNU bug report logs - #63406
29.0.90; <mouse-2> on misspelled word hangs X11

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: emacs-bugs@HIDDEN; merged with #63404, #63407, #63408; dated Wed, 10 May 2023 01:19:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 63404 63406 63407 63408. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 63406 <at> debbugs.gnu.org:


Received: (at 63406) by debbugs.gnu.org; 10 May 2023 02:19:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 09 22:19:50 2023
Received: from localhost ([127.0.0.1]:44892 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pwZQk-0002Tg-2j
	for submit <at> debbugs.gnu.org; Tue, 09 May 2023 22:19:50 -0400
Received: from mail.maxeygroup.tech ([70.231.4.161]:12525)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <emacs-bugs@HIDDEN>) id 1pwZQi-0002TX-4g
 for 63406 <at> debbugs.gnu.org; Tue, 09 May 2023 22:19:48 -0400
Received: from rek.internal.maxeygroup.tech (rek.internal.maxeygroup.tech
 [IPv6:fd72:6977:7ac0:ffee:0:0:1:32]) (authenticated bits=0)
 by mail.maxeygroup.tech (8.17.1/8.17.1) with ESMTPSA id 34A2Jldi1799965
 (version=TLSv1.3 cipher=TLS_AES_256_GCM_SHA384 bits=256 verify=NO)
 for <63406 <at> debbugs.gnu.org>; Tue, 9 May 2023 21:19:47 -0500
Message-ID: <2a1b5f1cede04ff6e52c757c61ec424d006120be.camel@HIDDEN>
Subject: Re: bug#63406: Acknowledgement (29.0.90; <mouse-2> on misspelled
 word hangs X11)
From: Doug Maxey <emacs-bugs@HIDDEN>
To: 63406 <at> debbugs.gnu.org
Date: Tue, 09 May 2023 21:19:55 -0500
In-Reply-To: <handler.63406.B.16836814912722.ack <at> debbugs.gnu.org>
References: <20230509203440.8LdAa%emacs-bugs@HIDDEN>
 <handler.63406.B.16836814912722.ack <at> debbugs.gnu.org>
Content-Type: multipart/alternative; boundary="=-/8l1AvAof69KGVzKnbu0"
User-Agent: Evolution 3.40.4 (3.40.4-6.el9) 
MIME-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 63406
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-/8l1AvAof69KGVzKnbu0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit

On Wed, 2023-05-10 at 01:19 +0000, GNU bug Tracking System wrote:
> Thank you for filing a new bug report with debbugs.gnu.org.
> 
> This is an automatically generated reply to let you know your message
> has been received.
> 
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due
> course.
> 
> Your message has been sent to the package maintainer(s):
>  bug-gnu-emacs@HIDDEN
> 
> If you wish to submit further information on this problem, please
> send it to 63406 <at> debbugs.gnu.org.
> 
> Please do not send mail to help-debbugs@HIDDEN unless you wish
> to report a problem with the Bug-tracking system.
> 

um, sorry about triplicate bug spam. 

A misconfigure on this end had me believing these weren't getting
through. 

Please use https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63407

++doug

--=-/8l1AvAof69KGVzKnbu0
Content-Type: text/html; charset="utf-8"
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div>On Wed, 2023-05-10 at 01:19 +0000, GNU bug Tr=
acking System wrote:</div><blockquote type=3D"cite" style=3D"margin:0 0 0 .=
8ex; border-left:2px #729fcf solid;padding-left:1ex"><div>Thank you for fil=
ing a new bug report with debbugs.gnu.org.<br></div><div><br></div><div>Thi=
s is an automatically generated reply to let you know your message<br></div=
><div>has been received.<br></div><div><br></div><div>Your message is being=
 forwarded to the package maintainers and other<br></div><div>interested pa=
rties for their attention; they will reply in due course.<br></div><div><br=
></div><div>Your message has been sent to the package maintainer(s):<br></d=
iv><div>&nbsp;<a href=3D"mailto:bug-gnu-emacs@HIDDEN">bug-gnu-emacs@HIDDEN=
g</a><br></div><div><br></div><div>If you wish to submit further informatio=
n on this problem, please<br></div><div>send it to <a href=3D"mailto:63406@=
debbugs.gnu.org">63406 <at> debbugs.gnu.org</a>.<br></div><div><br></div><div>Pl=
ease do not send mail to <a href=3D"mailto:help-debbugs@HIDDEN">help-debbu=
gs@HIDDEN</a>&nbsp;unless you wish<br></div><div>to report a problem with =
the Bug-tracking system.<br></div><div><br></div></blockquote><div><br></di=
v><div>um, sorry about triplicate bug spam. </div><div><br></div><div>A mis=
configure on this end had me believing these weren't getting through. </div=
><div><br></div><div>Please use <a href=3D"https://debbugs.gnu.org/cgi/bugr=
eport.cgi?bug=3D63407">https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D6340=
7</a></div><div><br></div><div>++doug</div><div><span></span></div></body><=
/html>

--=-/8l1AvAof69KGVzKnbu0--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#63406; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 May 2023 01:18:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 09 21:18:11 2023
Received: from localhost ([127.0.0.1]:44857 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pwYT4-0000hj-CO
	for submit <at> debbugs.gnu.org; Tue, 09 May 2023 21:18:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:41572)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <emacs-bugs@HIDDEN>) id 1pwU4q-00070N-7V
 for submit <at> debbugs.gnu.org; Tue, 09 May 2023 16:36:55 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <emacs-bugs@HIDDEN>)
 id 1pwU4p-00081L-Hd
 for bug-gnu-emacs@HIDDEN; Tue, 09 May 2023 16:36:51 -0400
Received: from mail.maxeygroup.tech ([70.231.4.161])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <emacs-bugs@HIDDEN>)
 id 1pwU4m-0006Hz-DB
 for bug-gnu-emacs@HIDDEN; Tue, 09 May 2023 16:36:51 -0400
Received: from rek.internal.maxeygroup.tech (rek.internal.maxeygroup.tech
 [IPv6:fd72:6977:7ac0:ffee:0:0:1:32])
 by mail.maxeygroup.tech (8.17.1/8.17.1) with ESMTPS id 349KYYis1784668
 (version=TLSv1.3 cipher=TLS_AES_256_GCM_SHA384 bits=256 verify=FAIL)
 for <bug-gnu-emacs@HIDDEN>; Tue, 9 May 2023 15:34:34 -0500
Received: (from dwm@localhost)
 by rek.internal.maxeygroup.tech (8.17.1/8.17.1/Submit) id 349KYeRN604328
 for bug-gnu-emacs@HIDDEN; Tue, 9 May 2023 15:34:40 -0500
Date: Tue, 09 May 2023 15:34:40 -0500
From: emacs-bugs@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.90; <mouse-2> on misspelled word hangs X11
Message-ID: <20230509203440.8LdAa%emacs-bugs@HIDDEN>
User-Agent: s-nail v14.9.22
Received-SPF: pass client-ip=70.231.4.161;
 envelope-from=emacs-bugs@HIDDEN; helo=mail.maxeygroup.tech
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 09 May 2023 21:18:05 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

From: Doug Maxey <emacs-bugs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.90; <mouse-2> on misspelled word hangs X11
Date: Tue, 09 May 2023 13:18:04 -0500
Message-ID: <874joltllv.fsf@HIDDEN>
--text follows this line--

The setup:
- rocky-9 x86_64.
- The graphics session is running in "classic", i.e. Xorg, not wayland.
- multi-monitors joined to single display.
- emacs-lucid from locally built rpm (non-rpm local build behaves same).
- buffer major-mode does not seem to matter.
- <mouse-2> on a misspelled word.

The result is other than having control of the sprite (the mouse can
move the sprite around normally. and I can switch tty with Ctrl-Alt-N)
there is NO other input accepted.  Cannot select any other window than
the last (emacs frame in this case), and there is no keyboard or mouse
button input.  There are no visible change on the screen, no dialog box
pops up.

The net effect is that the screen is frozen, save for the moving sprite.

Have tried waiting it out overnight, with no change.

I have managed to do this several times, the simplest recovery is a
reboot (a PITA as I have lots of things open), as it seems to have
curdled something in the X server, just a log out and back in does not
seem to fix.

A workaround discovered by accident, when trying to find out the command
the <mouse-2> on the misspelled word invokes, <F1-k> when over the
misspelling, seems to stop the hang from happening after the
documentation is displayed, and the dialog box pops up when <mouse-2> is
pressed on the misspelling, and it works as expected.


In GNU Emacs 29.0.90 (build 1, x86_64-redhat-linux-gnu, X toolkit, cairo
 version 1.17.4, Xaw3d scroll bars) of 2023-05-05 built on
 68491e1f65c749138809f0638462fb10
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Rocky Linux 9.1 (Blue Onyx)

Configured using:
 'configure --build=x86_64-redhat-linux-gnu
 --host=x86_64-redhat-linux-gnu --program-prefix=
 --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr
 --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
 --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
 --libexecdir=/usr/libexec --localstatedir=/var
 --sharedstatedir=/var/lib --mandir=/usr/share/man
 --infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png
 --with-rsvg --with-tiff --with-xft --with-xpm --with-gpm=no
 --with-modules --with-harfbuzz --with-cairo --with-json
 --with-native-compilation --with-tree-sitter --with-x-toolkit=lucid
 build_alias=x86_64-redhat-linux-gnu host_alias=x86_64-redhat-linux-gnu
 CC=gcc 'CFLAGS=-DMAIL_USE_LOCKF -O2 -flto=auto -ffat-lto-objects
 -fexceptions -g -grecord-gcc-switches -pipe -Wall
 -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
 -Wp,-D_GLIBCXX_ASSERTIONS
 -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong
 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=x86-64-v2
 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection
 -fcf-protection' LDFLAGS=-Wl,-z,relro
 PKG_CONFIG_PATH=:/usr/lib64/pkgconfig:/usr/share/pkgconfig CXX=g++
 'CXXFLAGS=-O2 -flto=auto -ffat-lto-objects -fexceptions -g
 -grecord-gcc-switches -pipe -Wall -Werror=format-security
 -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS
 -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong
 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=x86-64-v2
 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection
 -fcf-protection''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NATIVE_COMP NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER X11 XAW3D XDBE XIM XINPUT2 XPM LUCID
ZLIB

Important settings:
  value of $EMACSLOADPATH: $HOME/.config/emacs/lisp:/data/sb/bats-mode:$HOME/lfin/lisp:/usr/local/lisp/packages:
  value of $LANG: C
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Text

Minor modes in effect:
  magit-auto-revert-mode: t
  override-global-mode: t
  global-git-commit-mode: t
  shell-dirtrack-mode: t
  server-mode: t
  dwm-time-keys: t
  flyspell-mode: t
  which-function-mode: t
  savehist-mode: t
  save-place-mode: t
  global-whitespace-mode: t
  global-auto-revert-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  auto-fill-function: yas--auto-fill
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  abbrev-mode: t

Load-path shadows:
/usr/local/lisp/packages/pydoc-0.1/pydoc hides $HOME/.config/emacs/lisp/pydoc
/usr/local/lisp/packages/transient-0.3.7/transient hides /usr/share/emacs/29.0.90/lisp/transient
/usr/local/lisp/packages/xref-1.6.3/xref hides /usr/share/emacs/29.0.90/lisp/progmodes/xref
$HOME/.config/emacs/lisp/sieve-mode hides /usr/share/emacs/29.0.90/lisp/net/sieve-mode

Features:
(shadow sort mail-extr emacsbug shortdoc help-fns radix-tree rst gud
misearch multi-isearch tabify vc-cvs vc-rcs log-view vc bug-reference
magit-submodule magit-obsolete magit-blame magit-stash magit-reflog
magit-bisect magit-push magit-pull magit-fetch magit-clone magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-files magit-refs magit-status
magit magit-repos magit-apply magit-wip magit-log magit-diff smerge-mode
diff magit-core magit-autorevert magit-margin magit-transient
magit-process mule-util jka-compr dired-aux sh-script smie executable
eww xdg url-queue shr pixel-fill kinsoku url-file svg xml mm-url gnus
nnheader range markdown-mode edit-indirect color vc-git diff-mode
vc-dispatcher jinja2-mode sgml-mode dom ansible-minor-mode yasnippet
yaml-mode dwm-python pydoc org ob ob-tangle ob-ref ob-lob ob-table
ob-exp org-macro org-src ob-comint org-pcomplete org-list org-footnote
org-faces org-entities noutline outline ob-emacs-lisp ob-core ob-eval
org-cycle org-table ol org-fold org-fold-core org-keys oc org-loaddefs
cal-menu calendar cal-loaddefs org-version org-compat org-macs goto-addr
elpy advice elpy-rpc pyvenv eshell esh-cmd esh-ext esh-opt esh-proc
esh-io esh-arg esh-module esh-groups esh-util elpy-shell elpy-profile
elpy-django s elpy-refactor ido files-x etags fileloop generator xref
cus-edit wid-edit python project compat pcase treesit
use-package-bind-key bind-key use-package-core git-commit with-editor
shell pcomplete server log-edit message sendmail yank-media puny dired
dired-loaddefs rfc822 mml mml-sec epa derived epg rfc6068 epg-config
gnus-util time-date mm-decode mm-bodies mm-encode mail-parse rfc2231
rfc2047 rfc2045 mm-util ietf-drums mail-prsvr mailabbrev mail-utils
gmm-utils mailheader pcvs-util add-log magit-mode transient edmacro
format-spec magit-git magit-section magit-utils crm dash vlc-minor-mode
dwm-time-keys easy-mmode perl-stuff cperl-mode facemenu mouse-copy
mkwdlist generic local-generic generic-x flyspell ispell ffap thingatpt
dwm kmacro cc-mode cc-fonts cc-guess cc-menus cc-styles cc-align cc-cmds
cc-engine cc-vars cc-defs dwm-c-mode edebug debug backtrace find-func
vscode-dark-plus-theme which-func imenu savehist saveplace grep
whitespace autorevert filenotify desktop frameset cus-load
xref-autoloads sqlformat-autoloads reformatter-autoloads
perl-doc-autoloads websocket-autoloads magit-autoloads
magit-section-autoloads json-reformat-autoloads jinx-autoloads
gnu-elpa-keyring-update-autoloads transient-autoloads devdocs-autoloads
delight-autoloads csv-mode-autoloads csv-autoloads compat-autoloads
bash-completion-autoloads s-autoloads php-mode-autoloads popup-autoloads
compile text-property-search comint ansi-osc ansi-color ring pp info
finder-inf package browse-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie generate-lisp-file url-domsuf
url-util mailcap url-handlers url-parse auth-source eieio eieio-core
password-cache json map byte-opt url-vars comp comp-cstr warnings icons
subr-x rx cl-seq cl-macs gv cl-extra help-mode cl-loaddefs cl-lib
bytecomp byte-compile rmc iso-transl tooltip cconv eldoc paren electric
uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
xinput2 x multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 703379 201767)
 (symbols 48 40116 8)
 (strings 32 198676 53509)
 (string-bytes 1 5967080)
 (vectors 16 83138)
 (vector-slots 8 2220180 334346)
 (floats 8 412 938)
 (intervals 56 3794 656)
 (buffers 984 29))

-- 
take care,
++doug




Acknowledgement sent to emacs-bugs@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#63406; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 10 May 2023 11:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.